# FileListTransfer.h File Reference

A plugin to provide a simple way to compress and incrementally send the files in the FileList structure. More...

`#include "RakNetTypes.h"`
`#include "Export.h"`
`#include "PluginInterface2.h"`
`#include "DS_Map.h"`
`#include "PacketPriority.h"`
`#include "RakMemoryOverride.h"`
`#include "FileList.h"`

## Classes

class | FileListTransfer
| A plugin to provide a simple way to compress and incrementally send the files in the FileList structure. Similar to the DirectoryDeltaTransfer plugin, except that it doesn't send deltas based on pre-existing files or actually write the files to disk. More...

## Detailed Description

A plugin to provide a simple way to compress and incrementally send the files in the FileList structure.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.